Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.database
Class PrologTextLoaderError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              gnu.prolog.database.PrologTextLoaderError

All Implemented Interfaces:
  Serializable

    public class PrologTextLoaderError

extends Exception

Stores details of errors that occurred during the loading of a file by a `PrologTextLoader`.

See Also:
  `PrologTextLoaderState.getErrors()`, Serialized Form

Field Summary
`protected int` | `column`
`protected String` | `file`
`protected int` | `line`

Constructor Summary
`PrologTextLoaderError(PrologTextLoaderError partialError, String message)`
`PrologTextLoaderError(PrologTextLoader loader, ParseException ex)`
`PrologTextLoaderError(PrologTextLoader loader, String message)`
`PrologTextLoaderError(String file, int line, int column, String message)`

Method Summary
`int` | `getColumn()`
`String` | `getFile()`
`int` | `getLine()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected String file

### line

    protected int line

### column

    protected int column

Constructor Detail

### PrologTextLoaderError

    public PrologTextLoaderError(String file,
                                 int line,
                                 int column,
                                 String message)

### PrologTextLoaderError

    public PrologTextLoaderError(PrologTextLoader loader,
                                 String message)

### PrologTextLoaderError

    public PrologTextLoaderError(PrologTextLoader loader,
                                 ParseException ex)

### PrologTextLoaderError

    public PrologTextLoaderError(PrologTextLoaderError partialError,
                                 String message)

Parameters:
  `partialError` - the partially filled in error lacking a message
  `message` - the message to use

Method Detail

### getFile

    public String getFile()

### getLine

    public int getLine()

### getColumn

    public int getColumn()

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD